module.exports = {
  version : '1.3.0',
  whitelist : (process.env.WHITELIST || 'http://admin.localhost').split(','),
  secret : process.env.SECRET || 'test',
  devToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJkYXRhIjp7ImNsaWVudCI6InRlc3QiLCJjbGllbnRfdHlwZSI6InNpdGUiLCJ1c2VyX3R5cGUiOiJ1c2VyIiwidXNlcl9pZCI6MjAwLCJjaGFubmVsIjoidGVzdF9jaGFubmVsIn0sImF1ZCI6ImludGVybmFsIiwiaXNzIjoiWWFyZHN0aWNrIFNvZnR3YXJlIiwic3ViIjoiQnJhaWQgSldUIn0.5KNCov_EW1cycT4Ay0oSvk4Z4PHFedd3bWOyqkHHTBQ',
  port: process.env.PORT || 80,
  httpPort: process.env.HTTP_PORT || 8080,
  hostname: process.env.HOSTNAME || 'ysbraid.localhost',
  environment: process.env.ENVIRONMENT || 'development',
  log_level: process.env.LOG_LEVEL || 'debug',
  privateKey: process.env.PRIVATE_KEY || 'certs/key.pem',
  certificate: process.env.CERTIFICATE || 'certs/cert.pem',
  signOptions : {
    issuer:  'Yardstick Software',
    subject:  'Braid JWT',
    audience:  'internal',
    algorithm:  ['HS256']
  },
  messageTypes : ['broadcast', 'direct', 'changeChannel'],
  archimedesToken: process.env.ARCHIMEDES_INTEGRATION_TOKEN || 'sha1=baddbeef'
};
